Subject: Re: setup.exe selects old versions for required packages
From: "Robert Collins" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: "Polley Christopher W" <[email-masked]>, <[email-masked]>
Date: Wed, 28 Nov 2001 20:41:00 +1100

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: "Polley Christopher W" <[email-masked]>;
<[email-masked]>
Sent: Wednesday, November 28, 2001 8:17 PM
Subject: Re: setup.exe selects old versions for required packages

> Robert Collins wrote:
>
>
> > Yes, but we took the one-step at a time approach. Please note that a
> > version requirement will NOT solve the vim/gettext confusion. That
> > confusion was caused because setup doesn't check for file conflicts,
and
> > in not checking for them, cannot take appropriate action (in this
case,
> > upgrading the old package first, which would fix the conflict and
> > prevent the .dll getting inappropriately deleted).
>
>
> Maybe I am having a thinko, but I don't remember any file conflict in
> the gettext package.  ncurses(old)-->ncurses(new)+libncurses* had an
> "inappropriate .dll deletion" problem if you don't do things in the
> right order -- but I don't remember anything like that with gettext.
>
> Help?

Sorry, I need glasses I think. Yes Chuck, you're right, gettext was
completely different, I was confused and adding confusion :}. A minimum
version requirement for gettext in the vim requirements would solve the
cygintl.dll problem, done either the rpm or deb fashion.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/